import { tap, expect } from '@push.rocks/tapbundle';

delete process.env.CLI_CALL;
// process.env.CLOUDLY_TESTURL = 'http://localhost:3000';

import * as coreflow from '../ts/index.js';

if (process.env.CI) {
  tap.start();
  process.exit(0);
}

tap.test('should startup correctly', async () => {
  await coreflow.runCli();
});

tap.test('should end correctly', async (tools) => {
  await tools.delayFor(2000);
  await coreflow.stop();
});

tap.start();
